#include "notas.h"
#define NO_SOUND 0

// Notas que devem ser tocadas disponibilizadas ordenadamente;
int melodia[] = {
NOTE_G3, NOTE_G3, NOTE_G3,NOTE_A3,NOTE_B3,NOTE_C4,NOTE_D4,NOTE_C4,NOTE_E4,
NOTE_E4,NOTE_D4,NOTE_B3,NOTE_D4,NOTE_A3,NOTE_G3,NOTE_A3,NOTE_G3,NOTE_B3,NOTE_A3,
NOTE_A3,NOTE_A3,NOTE_A3,NOTE_A3,NOTE_B3,NOTE_D4,NOTE_CS4,NOTE_D4,NOTE_E4,NOTE_G4,NOTE_F4,
NO_SOUND,NOTE_F4,NOTE_E4,NOTE_G4,NOTE_F4,NOTE_D4,NOTE_B3,NOTE_A3,NOTE_G3,NOTE_E4,NOTE_E4,
NO_SOUND,NOTE_G4,NOTE_G4,NOTE_G4,NOTE_F4,NOTE_E4,NOTE_E4,NOTE_C4,NOTE_E4,NOTE_D4,
NOTE_D4,NOTE_G4,NOTE_G4,NOTE_G4,NOTE_F4,NOTE_E4,NOTE_E4,NOTE_G4,NOTE_E4,NOTE_D4,
NO_SOUND,NOTE_A3,NOTE_B3,NOTE_C4,NOTE_B3,NOTE_C4,NOTE_D4,NOTE_C4,NOTE_D4,
NOTE_E4,NOTE_DS4,NOTE_E4,NOTE_F4,NOTE_G4,NOTE_GS4,NOTE_A4,NOTE_A3,
NOTE_E4,NOTE_E4,NOTE_C4
};

// Duração das Notas: Semicolcheia:16; Colcheia:8; Semínima: 4; Mínima:2; Semibreve:1
int tempoNotas[] = {
8,8,4,8,8,4,8,8,4,
2,8,8,4,8,8,4,8,8,4,
2,8,8,4,8,8,4,8,8,4,4,
4,8,8,4,8,8,4,8,8,4,4,
4,8,8,4,8,8,4,8,8,4,
2,8,8,4,8,8,4,8,8,2,
4,8,8,4,8,8,4,8,8,
4,8,8,4,8,8,4,4,
4,4,2
};
  
const int compasso = 1500; // Altera o compasso da música
const int comprimento = 81; // Referente ao número de notas musicais
const int pinBuzzer = 8; // Indica a porta digital 8 do Arduino

void setup() {
 pinMode(pinBuzzer, OUTPUT); 
}

void loop(){
  for (int Nota = 0; Nota <comprimento; Nota++){//comprimento indica quantas notas tem o nosso vetor.
    int tempo = compasso/tempoNotas[Nota]; //Tempo = compasso dividido pela indicação do vetor tempoNotas.
    tone(pinBuzzer, melodia[Nota],tempo); //Toca a nota indicada pelo vetor melodia durante o tempo.
    // Para distinguir as notas adicionamos um tempo entre elas (tempo da nota + 20%).
    delay(tempo*1.2);
  }
  delay(3000);
}


